///колко от числата от 1 до л могат да бъдат представени
///като сбор на а-та и б-та
#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long a, b, sums;
    cin>>a>>b>>sums;
    if(a > b) swap(a,b);///a < b
    long long counter = sums;
    for(int i = a + b; i <= sums; i++)
    {
        long long check = 0;
        for(int j = 1; b*j < i; j++)
        {
            if((i-b*j)%a == 0)
            {
                check = 1;
                break;
            }
        }
        if(check == 1) counter--;
    }
    cout<<counter<<endl;
    return 0;
}
